site_name: Eriks Laser Tag 
site_url: https://home.iten.pro/lasertag/
repo_url: https://gitea.iten.pro/edi/lasertag

nav:
  - Übersicht: index.md
  - Konzept:
      - Hardware: concepts/hardware.md
      - Software: concepts/software.md
      - Gameplay & Modi: concepts/gameplay.md
      - Mobile App: concepts/mobile_app.md
  - Spezifikationen:
      - IR-Protokoll: specifications/ir_protocol.md
  - Planung: planung.md
  - Lizenz: license.md

theme:
  name: material
  language: de
  features:
    - navigation.sections
    - navigation.expand

plugins:
  - search
  - print-site:
      add_to_navigation: true
      print_page_title: 'PDF / Druckversion'
      add_print_site_banner: false
      add_cover_page: true
      cover_page_template: ""
      path_to_pdf: "lasertag-dokumentation.pdf"
      enabled: true

markdown_extensions:
  - pymdownx.superfences:
      custom_fences:
        - name: mermaid
          class: mermaid
          format: !!python/name:pymdownx.superfences.fence_code_format
  - pymdownx.arithmatex: # Für die Mathe-Formeln
      generic: true
  - pymdownx.tasklist:
        clickable_checkbox: true
  - pymdownx.betterem
  - admonition
  - pymdownx.details

extra_javascript:
  - https://unpkg.com/mermaid/dist/mermaid.min.js
  - javascripts/mathjax.js
  - https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js

extra_css:
  - stylesheets/extra.css
